.PHONY: clean read

SOURCE=trusting-make

all: $(SOURCE).pdf read


$(SOURCE).pdf: 
	pdflatex -interaction=nonstopmode -shell-escape $(SOURCE).tex 
	pdflatex -interaction=nonstopmode -shell-escape $(SOURCE).tex 

clean:
	-rm $(SOURCE).pdf $(SOURCE).run.xml $(SOURCE).bcf > /dev/null 2>&1
	-rm *~ .log *.backup *.aux *.toc *.blg *.log *.out *.bbl *.dvi *.nav *.pyg *.snm *.lof *.vrb > /dev/null 2>&1
	-rm -rf _minted-$(SOURCE) > /dev/null 2>&1

read:
	evince $(SOURCE).pdf > /dev/null 2>&1 &
